Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.util
Class PopupHelper

    java.lang.Object
      |
      +--jpos.util.PopupHelper

public class PopupHelper
extends java.lang.Object

utility class that enables and controls showing of popupMenus

Since:
  1.3 (SF 2K meeting)
Author:
  Manuel M Monserrate

Field Summary
`(package private) static java.util.Dictionary` | `dictionary`
`(package private) static java.awt.event.MouseListener` | `popupMouseListener`

Constructor Summary
`PopupHelper()`

Method Summary
`static void` | `removePopup(javax.swing.JComponent mouseEvtComp)` unregisters a component from listen to mouse events for the popupMenu
`static void` | `setPopup(javax.swing.JComponent mouseEvtComp, javax.swing.JPopupMenu popupMenu)` registers a component to listen to mouse events for the popupMenu, does not use the PopupListener to do extra setting up for the menu
`static void` | `setPopup(javax.swing.JComponent mouseEvtComp, javax.swing.JPopupMenu popupMenu, PopupListener popupListener)` registers a component to listen to mouse events for the popupMenu, uses the PopupListener to do extra setting up for the menu when mouse is clicked

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dictionary

    static java.util.Dictionary dictionary

### popupMouseListener

    static java.awt.event.MouseListener popupMouseListener

Constructor Detail

### PopupHelper

    public PopupHelper()

Method Detail

### setPopup

    public static void setPopup(javax.swing.JComponent mouseEvtComp,
                                javax.swing.JPopupMenu popupMenu)

  registers a component to listen to mouse events for the popupMenu, does not use the PopupListener to do extra setting up for the menu
  Since:
    1.3 (SF 2K meeting)

### setPopup

    public static void setPopup(javax.swing.JComponent mouseEvtComp,
                                javax.swing.JPopupMenu popupMenu,
                                PopupListener popupListener)

  registers a component to listen to mouse events for the popupMenu, uses the PopupListener to do extra setting up for the menu when mouse is clicked
  Since:
    1.3 (SF 2K meeting)

### removePopup

    public static void removePopup(javax.swing.JComponent mouseEvtComp)

  unregisters a component from listen to mouse events for the popupMenu
  Since:
    1.3 (SF 2K meeting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details